## EWebViewPreview

EWebViewPreview

## Functions

GtkWidget * | e_web_view_preview_new ()
GtkTreeView * | e_web_view_preview_get_tree_view ()
GtkWidget * | e_web_view_preview_get_preview ()
void | e_web_view_preview_set_preview ()
void | e_web_view_preview_show_tree_view ()
void | e_web_view_preview_hide_tree_view ()
gboolean | e_web_view_preview_get_escape_values ()
void | e_web_view_preview_set_escape_values ()
void | e_web_view_preview_begin_update ()
void | e_web_view_preview_end_update ()
void | e_web_view_preview_add_header ()
void | e_web_view_preview_add_text ()
void | e_web_view_preview_add_raw_html ()
void | e_web_view_preview_add_separator ()
void | e_web_view_preview_add_empty_line ()
void | e_web_view_preview_add_section ()

## Properties

gboolean | escape-values | Read / Write
GtkWidget * | preview-widget | Read
GtkTreeView * | tree-view | Read

## Types and Values

struct | EWebViewPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkPaned
                        ╰── GtkVPaned
                            ╰── EWebViewPreview

## Implemented Interfaces

EWebViewPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### e_web_view_preview_new ()

    GtkWidget *
    e_web_view_preview_new (void);

### e_web_view_preview_get_tree_view ()

    GtkTreeView *
    e_web_view_preview_get_tree_view (EWebViewPreview *preview);

### e_web_view_preview_get_preview ()

    GtkWidget *
    e_web_view_preview_get_preview (EWebViewPreview *preview);

### e_web_view_preview_set_preview ()

    void
    e_web_view_preview_set_preview (EWebViewPreview *preview,
                                    GtkWidget *preview_widget);

### e_web_view_preview_show_tree_view ()

    void
    e_web_view_preview_show_tree_view (EWebViewPreview *preview);

### e_web_view_preview_hide_tree_view ()

    void
    e_web_view_preview_hide_tree_view (EWebViewPreview *preview);

### e_web_view_preview_get_escape_values ()

    gboolean
    e_web_view_preview_get_escape_values (EWebViewPreview *preview);

### e_web_view_preview_set_escape_values ()

    void
    e_web_view_preview_set_escape_values (EWebViewPreview *preview,
                                          gboolean escape);

### e_web_view_preview_begin_update ()

    void
    e_web_view_preview_begin_update (EWebViewPreview *preview);

### e_web_view_preview_end_update ()

    void
    e_web_view_preview_end_update (EWebViewPreview *preview);

### e_web_view_preview_add_header ()

    void
    e_web_view_preview_add_header (EWebViewPreview *preview,
                                   gint index,
                                   const gchar *header);

### e_web_view_preview_add_text ()

    void
    e_web_view_preview_add_text (EWebViewPreview *preview,
                                 const gchar *text);

### e_web_view_preview_add_raw_html ()

    void
    e_web_view_preview_add_raw_html (EWebViewPreview *preview,
                                     const gchar *raw_html);

### e_web_view_preview_add_separator ()

    void
    e_web_view_preview_add_separator (EWebViewPreview *preview);

### e_web_view_preview_add_empty_line ()

    void
    e_web_view_preview_add_empty_line (EWebViewPreview *preview);

### e_web_view_preview_add_section ()

    void
    e_web_view_preview_add_section (EWebViewPreview *preview,
                                    const gchar *section,
                                    const gchar *value);

## Types and Values

### struct EWebViewPreview

    struct EWebViewPreview;

## Property Details

### The `“escape-values”` property

      “escape-values”            gboolean

Flags: Read / Write

Default value: TRUE

### The `“preview-widget”` property

      “preview-widget”           GtkWidget *

Flags: Read

### The `“tree-view”` property

      “tree-view”                GtkTreeView *

Flags: Read